<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="Grade_SysDataSet" targetNamespace="http://tempuri.org/Grade_SysDataSet.xsd" xmlns:mstns="http://tempuri.org/Grade_SysDataSet.xsd" xmlns="http://tempuri.org/Grade_SysDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="Grade_SysConnectionString" ConnectionStringObject="" IsAppSettingsProperty="True" Modifier="Assembly" Name="Grade_SysConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.WindowsApplication1.Properties.Settings.GlobalReference.Default.Grade_SysConnectionString" Provider="System.Data.SqlClient">
          </Connection>
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="studentTableAdapter" GeneratorDataComponentClassName="studentTableAdapter" Name="student" UserDataComponentName="studentTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="Grade_SysConnectionString (Settings)" DbObjectName="Grade_Sys.dbo.student" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="True" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>DELETE FROM [dbo].[student] WHERE (([sno] = @Original_sno) AND ((@IsNull_snumber = 1 AND [snumber] IS NULL) OR ([snumber] = @Original_snumber)) AND ((@IsNull_sname = 1 AND [sname] IS NULL) OR ([sname] = @Original_sname)) AND ((@IsNull_spass = 1 AND [spass] IS NULL) OR ([spass] = @Original_spass)) AND ((@IsNull_ssex = 1 AND [ssex] IS NULL) OR ([ssex] = @Original_ssex)) AND ((@IsNull_bno = 1 AND [bno] IS NULL) OR ([bno] = @Original_bno)) AND ((@IsNull_sbirth = 1 AND [sbirth] IS NULL) OR ([sbirth] = @Original_sbirth)) AND ((@IsNull_sminzu = 1 AND [sminzu] IS NULL) OR ([sminzu] = @Original_sminzu)) AND ((@IsNull_sparty = 1 AND [sparty] IS NULL) OR ([sparty] = @Original_sparty)) AND ((@IsNull_spcode = 1 AND [spcode] IS NULL) OR ([spcode] = @Original_spcode)) AND ((@IsNull_shome = 1 AND [shome] IS NULL) OR ([shome] = @Original_shome)) AND ((@IsNull_sparent = 1 AND [sparent] IS NULL) OR ([sparent] = @Original_sparent)) AND ((@IsNull_sparentwork = 1 AND [sparentwork] IS NULL) OR ([sparentwork] = @Original_sparentwork)) AND ((@IsNull_scode = 1 AND [scode] IS NULL) OR ([scode] = @Original_scode)) AND ((@IsNull_shometele = 1 AND [shometele] IS NULL) OR ([shometele] = @Original_shometele)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_sno" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sno" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_snumber" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="snumber" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_snumber" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="snumber" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sname" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sname" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sname" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sname" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_spass" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="spass" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_spass" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="spass" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ssex" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ssex" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@Original_ssex" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="ssex" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_bno" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="bno" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_bno" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="bno" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sbirth" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sbirth" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_sbirth" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="sbirth" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sminzu" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sminzu" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int16" Direction="Input" ParameterName="@Original_sminzu" Precision="0" ProviderType="SmallInt" Scale="0" Size="0" SourceColumn="sminzu" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sparty" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sparty" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sparty" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sparty" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_spcode" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="spcode" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_spcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="spcode" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_shome" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="shome" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_shome" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="shome" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sparent" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sparent" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sparent" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sparent" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sparentwork" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sparentwork" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sparentwork" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sparentwork" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_scode" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="scode" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_scode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="scode" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_shometele" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="shometele" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_shometele" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="shometele" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>INSERT INTO [dbo].[student] ([snumber], [sname], [spass], [ssex], [bno], [sbirth], [sminzu], [sparty], [spcode], [shome], [sparent], [sparentwork], [scode], [shometele]) VALUES (@snumber, @sname, @spass, @ssex, @bno, @sbirth, @sminzu, @sparty, @spcode, @shome, @sparent, @sparentwork, @scode, @shometele);
SELECT sno, snumber, sname, spass, ssex, bno, sbirth, sminzu, sparty, spcode, shome, sparent, sparentwork, scode, shometele FROM student WHERE (sno = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@snumber" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="snumber" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sname" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sname" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@spass" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="spass" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@ssex" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="ssex" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@bno" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="bno" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@sbirth" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="sbirth" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int16" Direction="Input" ParameterName="@sminzu" Precision="0" ProviderType="SmallInt" Scale="0" Size="0" SourceColumn="sminzu" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sparty" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sparty" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@spcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="spcode" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@shome" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="shome" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sparent" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sparent" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sparentwork" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sparentwork" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@scode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="scode" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@shometele" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="shometele" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>SELECT sno, snumber, sname, spass, ssex, bno, sbirth, sminzu, sparty, spcode, shome, sparent, sparentwork, scode, shometele FROM dbo.student</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>UPDATE [dbo].[student] SET [snumber] = @snumber, [sname] = @sname, [spass] = @spass, [ssex] = @ssex, [bno] = @bno, [sbirth] = @sbirth, [sminzu] = @sminzu, [sparty] = @sparty, [spcode] = @spcode, [shome] = @shome, [sparent] = @sparent, [sparentwork] = @sparentwork, [scode] = @scode, [shometele] = @shometele WHERE (([sno] = @Original_sno) AND ((@IsNull_snumber = 1 AND [snumber] IS NULL) OR ([snumber] = @Original_snumber)) AND ((@IsNull_sname = 1 AND [sname] IS NULL) OR ([sname] = @Original_sname)) AND ((@IsNull_spass = 1 AND [spass] IS NULL) OR ([spass] = @Original_spass)) AND ((@IsNull_ssex = 1 AND [ssex] IS NULL) OR ([ssex] = @Original_ssex)) AND ((@IsNull_bno = 1 AND [bno] IS NULL) OR ([bno] = @Original_bno)) AND ((@IsNull_sbirth = 1 AND [sbirth] IS NULL) OR ([sbirth] = @Original_sbirth)) AND ((@IsNull_sminzu = 1 AND [sminzu] IS NULL) OR ([sminzu] = @Original_sminzu)) AND ((@IsNull_sparty = 1 AND [sparty] IS NULL) OR ([sparty] = @Original_sparty)) AND ((@IsNull_spcode = 1 AND [spcode] IS NULL) OR ([spcode] = @Original_spcode)) AND ((@IsNull_shome = 1 AND [shome] IS NULL) OR ([shome] = @Original_shome)) AND ((@IsNull_sparent = 1 AND [sparent] IS NULL) OR ([sparent] = @Original_sparent)) AND ((@IsNull_sparentwork = 1 AND [sparentwork] IS NULL) OR ([sparentwork] = @Original_sparentwork)) AND ((@IsNull_scode = 1 AND [scode] IS NULL) OR ([scode] = @Original_scode)) AND ((@IsNull_shometele = 1 AND [shometele] IS NULL) OR ([shometele] = @Original_shometele)));
SELECT sno, snumber, sname, spass, ssex, bno, sbirth, sminzu, sparty, spcode, shome, sparent, sparentwork, scode, shometele FROM student WHERE (sno = @sno)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@snumber" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="snumber" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sname" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sname" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@spass" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="spass" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@ssex" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="ssex" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@bno" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="bno" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@sbirth" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="sbirth" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int16" Direction="Input" ParameterName="@sminzu" Precision="0" ProviderType="SmallInt" Scale="0" Size="0" SourceColumn="sminzu" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sparty" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sparty" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@spcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="spcode" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@shome" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="shome" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sparent" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sparent" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sparentwork" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sparentwork" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@scode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="scode" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@shometele" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="shometele" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_sno" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sno" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_snumber" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="snumber" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_snumber" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="snumber" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sname" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sname" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sname" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sname" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_spass" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="spass" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_spass" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="spass" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ssex" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ssex" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@Original_ssex" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="ssex" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_bno" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="bno" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_bno" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="bno" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sbirth" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sbirth" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_sbirth" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="sbirth" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sminzu" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sminzu" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int16" Direction="Input" ParameterName="@Original_sminzu" Precision="0" ProviderType="SmallInt" Scale="0" Size="0" SourceColumn="sminzu" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sparty" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sparty" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sparty" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sparty" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_spcode" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="spcode" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_spcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="spcode" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_shome" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="shome" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_shome" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="shome" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sparent" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sparent" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sparent" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sparent" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sparentwork" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sparentwork" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sparentwork" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sparentwork" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_scode" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="scode" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_scode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="scode" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_shometele" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="shometele" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_shometele" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="shometele" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="sno" ColumnName="sno" DataSourceName="Grade_Sys.dbo.student" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@sno" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="sno" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="sno" DataSetColumn="sno" />
              <Mapping SourceColumn="snumber" DataSetColumn="snumber" />
              <Mapping SourceColumn="sname" DataSetColumn="sname" />
              <Mapping SourceColumn="spass" DataSetColumn="spass" />
              <Mapping SourceColumn="ssex" DataSetColumn="ssex" />
              <Mapping SourceColumn="bno" DataSetColumn="bno" />
              <Mapping SourceColumn="sbirth" DataSetColumn="sbirth" />
              <Mapping SourceColumn="sminzu" DataSetColumn="sminzu" />
              <Mapping SourceColumn="sparty" DataSetColumn="sparty" />
              <Mapping SourceColumn="spcode" DataSetColumn="spcode" />
              <Mapping SourceColumn="shome" DataSetColumn="shome" />
              <Mapping SourceColumn="sparent" DataSetColumn="sparent" />
              <Mapping SourceColumn="sparentwork" DataSetColumn="sparentwork" />
              <Mapping SourceColumn="scode" DataSetColumn="scode" />
              <Mapping SourceColumn="shometele" DataSetColumn="shometele" />
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="stu_avgTableAdapter" GeneratorDataComponentClassName="stu_avgTableAdapter" Name="stu_avg" UserDataComponentName="stu_avgTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="Grade_SysConnectionString (Settings)" DbObjectName="Grade_Sys.dbo.stu_avg" DbObjectType="View" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="False" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>SELECT sno, skxq, stuavg FROM dbo.stu_avg</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="sno" DataSetColumn="sno" />
              <Mapping SourceColumn="skxq" DataSetColumn="skxq" />
              <Mapping SourceColumn="stuavg" DataSetColumn="stuavg" />
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
        </Tables>
        <Sources>
        </Sources>
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="Grade_SysDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_UserDSName="Grade_SysDataSet" msprop:Generator_DataSetName="Grade_SysDataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="student" msprop:Generator_UserTableName="student" msprop:Generator_RowDeletedName="studentRowDeleted" msprop:Generator_TableClassName="studentDataTable" msprop:Generator_RowChangedName="studentRowChanged" msprop:Generator_RowClassName="studentRow" msprop:Generator_RowChangingName="studentRowChanging" msprop:Generator_RowEvArgName="studentRowChangeEvent" msprop:Generator_RowEvHandlerName="studentRowChangeEventHandler" msprop:Generator_TablePropName="student" msprop:Generator_TableVarName="tablestudent" msprop:Generator_RowDeletingName="studentRowDeleting">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="sno" msdata:ReadOnly="true" msdata:AutoIncrement="true" msprop:Generator_UserColumnName="sno" msprop:Generator_ColumnPropNameInRow="sno" msprop:Generator_ColumnVarNameInTable="columnsno" msprop:Generator_ColumnPropNameInTable="snoColumn" type="xs:int" />
              <xs:element name="snumber" msprop:Generator_UserColumnName="snumber" msprop:Generator_ColumnPropNameInRow="snumber" msprop:Generator_ColumnVarNameInTable="columnsnumber" msprop:Generator_ColumnPropNameInTable="snumberColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="40" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sname" msprop:Generator_UserColumnName="sname" msprop:Generator_ColumnPropNameInRow="sname" msprop:Generator_ColumnVarNameInTable="columnsname" msprop:Generator_ColumnPropNameInTable="snameColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="spass" msprop:Generator_UserColumnName="spass" msprop:Generator_ColumnPropNameInRow="spass" msprop:Generator_ColumnVarNameInTable="columnspass" msprop:Generator_ColumnPropNameInTable="spassColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ssex" msprop:Generator_UserColumnName="ssex" msprop:Generator_ColumnPropNameInRow="ssex" msprop:Generator_ColumnVarNameInTable="columnssex" msprop:Generator_ColumnPropNameInTable="ssexColumn" type="xs:unsignedByte" minOccurs="0" />
              <xs:element name="bno" msprop:Generator_UserColumnName="bno" msprop:Generator_ColumnPropNameInRow="bno" msprop:Generator_ColumnVarNameInTable="columnbno" msprop:Generator_ColumnPropNameInTable="bnoColumn" type="xs:int" minOccurs="0" />
              <xs:element name="sbirth" msprop:Generator_UserColumnName="sbirth" msprop:Generator_ColumnPropNameInRow="sbirth" msprop:Generator_ColumnVarNameInTable="columnsbirth" msprop:Generator_ColumnPropNameInTable="sbirthColumn" type="xs:dateTime" minOccurs="0" />
              <xs:element name="sminzu" msprop:Generator_UserColumnName="sminzu" msprop:Generator_ColumnPropNameInRow="sminzu" msprop:Generator_ColumnVarNameInTable="columnsminzu" msprop:Generator_ColumnPropNameInTable="sminzuColumn" type="xs:short" minOccurs="0" />
              <xs:element name="sparty" msprop:Generator_UserColumnName="sparty" msprop:Generator_ColumnPropNameInRow="sparty" msprop:Generator_ColumnVarNameInTable="columnsparty" msprop:Generator_ColumnPropNameInTable="spartyColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="spcode" msprop:Generator_UserColumnName="spcode" msprop:Generator_ColumnPropNameInRow="spcode" msprop:Generator_ColumnVarNameInTable="columnspcode" msprop:Generator_ColumnPropNameInTable="spcodeColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="40" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="shome" msprop:Generator_UserColumnName="shome" msprop:Generator_ColumnPropNameInRow="shome" msprop:Generator_ColumnVarNameInTable="columnshome" msprop:Generator_ColumnPropNameInTable="shomeColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="40" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sparent" msprop:Generator_UserColumnName="sparent" msprop:Generator_ColumnPropNameInRow="sparent" msprop:Generator_ColumnVarNameInTable="columnsparent" msprop:Generator_ColumnPropNameInTable="sparentColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="16" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sparentwork" msprop:Generator_UserColumnName="sparentwork" msprop:Generator_ColumnPropNameInRow="sparentwork" msprop:Generator_ColumnVarNameInTable="columnsparentwork" msprop:Generator_ColumnPropNameInTable="sparentworkColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="40" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="scode" msprop:Generator_UserColumnName="scode" msprop:Generator_ColumnPropNameInRow="scode" msprop:Generator_ColumnVarNameInTable="columnscode" msprop:Generator_ColumnPropNameInTable="scodeColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="14" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="shometele" msprop:Generator_UserColumnName="shometele" msprop:Generator_ColumnPropNameInRow="shometele" msprop:Generator_ColumnVarNameInTable="columnshometele" msprop:Generator_ColumnPropNameInTable="shometeleColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="stu_avg" msprop:Generator_UserTableName="stu_avg" msprop:Generator_RowDeletedName="stu_avgRowDeleted" msprop:Generator_TableClassName="stu_avgDataTable" msprop:Generator_RowChangedName="stu_avgRowChanged" msprop:Generator_RowClassName="stu_avgRow" msprop:Generator_RowChangingName="stu_avgRowChanging" msprop:Generator_RowEvArgName="stu_avgRowChangeEvent" msprop:Generator_RowEvHandlerName="stu_avgRowChangeEventHandler" msprop:Generator_TablePropName="stu_avg" msprop:Generator_TableVarName="tablestu_avg" msprop:Generator_RowDeletingName="stu_avgRowDeleting">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="sno" msprop:Generator_UserColumnName="sno" msprop:Generator_ColumnPropNameInRow="sno" msprop:Generator_ColumnVarNameInTable="columnsno" msprop:Generator_ColumnPropNameInTable="snoColumn" type="xs:int" />
              <xs:element name="skxq" msprop:Generator_UserColumnName="skxq" msprop:Generator_ColumnPropNameInRow="skxq" msprop:Generator_ColumnVarNameInTable="columnskxq" msprop:Generator_ColumnPropNameInTable="skxqColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="stuavg" msprop:Generator_UserColumnName="stuavg" msprop:Generator_ColumnPropNameInRow="stuavg" msprop:Generator_ColumnVarNameInTable="columnstuavg" msprop:Generator_ColumnPropNameInTable="stuavgColumn" type="xs:double" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:student" />
      <xs:field xpath="mstns:sno" />
    </xs:unique>
  </xs:element>
</xs:schema>